Bug 209490 - [PATCH] devel/geany and plugins: Update to 1.27
Summary: [PATCH] devel/geany and plugins: Update to 1.27
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Max Brazhnikov
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2016-05-13 22:08 UTC by Guido Falsi
Modified: 2016-06-06 16:22 UTC (History)
1 user (show)

See Also:
madpilot: maintainer-feedback-


Attachments
Update diff (10.06 KB, patch)
2016-05-13 22:08 UTC, Guido Falsi
madpilot: maintainer-approval? (makc)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Guido Falsi freebsd_committer 2016-05-13 22:08:10 UTC
Created attachment 170261 [details]
Update diff

Hi,

This update also add a new module (lineoperations) and removes a patch which is already in the upstream sources, devel/geany-plugin-git-changebar/files/patch-libgit023.
Comment 1 Guido Falsi freebsd_committer 2016-06-03 19:24:03 UTC
Hi again,

This PR has technically timed out.

I've been using this patch on my machines this while time without problems.

I'd like to commit this, so before timing this one out I'm sending this message. I'm going to commit this on sunday, unless I get some feedback asking me to stop.

Thanks!
Comment 2 commit-hook freebsd_committer 2016-06-06 16:21:13 UTC
A commit references this bug:

Author: madpilot
Date: Mon Jun  6 16:20:13 UTC 2016
New revision: 416471
URL: https://svnweb.freebsd.org/changeset/ports/416471

Log:
  - Update devel/geany and devel/geany-plugins* to 1.27
  - Remove patch included upstream
  - Add devel/geany-plugin-lineoperations for new module

  PR:		209490
  Submitted by:	me
  Approved by:	maintainer timeout

Changes:
  head/devel/Makefile
  head/devel/geany/Makefile
  head/devel/geany/distinfo
  head/devel/geany/pkg-plist
  head/devel/geany-plugin-geanypy/pkg-plist
  head/devel/geany-plugin-geniuspaste/pkg-plist
  head/devel/geany-plugin-git-changebar/files/
  head/devel/geany-plugin-lineoperations/
  head/devel/geany-plugin-lineoperations/Makefile
  head/devel/geany-plugin-lineoperations/pkg-descr
  head/devel/geany-plugin-lineoperations/pkg-plist
  head/devel/geany-plugins/distinfo
  head/devel/geany-plugins/files/bsd.geany-plugins.mk
  head/devel/geany-plugins-l10n/pkg-plist
Comment 3 Guido Falsi freebsd_committer 2016-06-06 16:22:39 UTC
Committed.